Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dynamic Languages Toolkit (DLTK) » TCL Syntax Highlighting Preferences Error(I get an error message "Could not accept changes... The currently displayed page contains invalid values" when selecting syntax colors on the preference page)
TCL Syntax Highlighting Preferences Error [message #867155] Tue, 01 May 2012 02:35 Go to next message
Steven InAz is currently offline Steven InAz
Messages: 3
Registered: September 2011
Junior Member
I get an error message "Could not accept changes... The currently displayed page contains invalid values". I am running Eclipse 3.7.2, linux 64-bit. The problem was also seen on Eclipse 3.7.1.

I had the issue with version 3.0.0 of DLTK-TCL.

What did I do?

Window>Preferences>TCL>Editor>Syntax Coloring. The moment I click on Syntax Coloring, I get a dialog with the title, "Could not accept changes" with contents of dialog reading, "The currently displayed page contains invalid values".

I have re-installed Eclipse, deleted my .eclipse directory, re-installed the plugins. Deleted the workspace. Help>About gives:

Version: 3.7.2
Build id: M20120208-0800


Dynamic Languages Toolkit - Core Frameworks 3.0.0.v20101211-0331-7l-2ED-z0UkhYdtV3_LBO
Dynamic Languages Toolkit - iTcl Development Tools 3.0.0.v20110424-79--9oA5876G8I1489B
Dynamic Languages Toolkit - Mylyn Integration 3.0.0.v20101025-2100-3--7w3121232201442
Dynamic Languages Toolkit - Remote Development Support 2.0.0.v20101211-0331-5--9oA5858A8_27_8H
Dynamic Languages Toolkit - Ruby Development Tools 3.0.0.v20110424-7Z--E_EkMYXO4k101442
Dynamic Languages Toolkit - TCL Development Tools 3.0.0.v20101109-0623-7g--EC3wSgpTPwM02543
Dynamic Languages Toolkit - XOTcl Development Tools 3.0.0.v20110424-7B--_kE7A_8KDJ01155
Eclipse SDK 3.7.2.M20120208-0800

Hope this helps.
Re: TCL Syntax Highlighting Preferences Error [message #867191 is a reply to message #867155] Tue, 01 May 2012 03:00 Go to previous message
Steven InAz is currently offline Steven InAz
Messages: 3
Registered: September 2011
Junior Member
I backed out to 2.0.0... and this works there. Looks like a bug.
Previous Topic:Migrating from 2.0 to 3.0 or 4.0
Next Topic:Status of dltk.ruby.* plugins
Goto Forum:
  


Current Time: Sat Aug 30 22:37:17 EDT 2014

Powered by FUDForum. Page generated in 0.08078 seconds